/***************************************************************************
 *            int2.h
 *
 *  Tue Aug 15 19:59:56 2006
 *  Copyright  2006  User
 *  Email
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#ifndef _INT2_H
	#define _INT2_H

	typedef void ( * INT2_CALLBACK_FUNC ) ( void );
	
	#define MAX_INT2_CALLBACKS		2
	
	void INT2_init(void);
	unsigned char INT2_RemoveCallbackFunction( INT2_CALLBACK_FUNC pFunc );
	unsigned char INT2_RegisterCallbackFunction( INT2_CALLBACK_FUNC pFunc );
	void INT2_disable(void);
	void INT2_enable(void);
	
	#define FALSE	0
	#define TRUE	(!FALSE)
	#define NULL	0

#endif /* _INT2_H */
